## parameter

parameter

## Synopsis

    #include <glibtop/parameter.h>

    #define             GLIBTOP_PARAM_METHOD
    #define             GLIBTOP_PARAM_FEATURES
    #define             GLIBTOP_PARAM_COMMAND
    #define             GLIBTOP_PARAM_HOST
    #define             GLIBTOP_PARAM_PORT
    #define             GLIBTOP_PARAM_ERROR_METHOD
    #define             GLIBTOP_PARAM_REQUIRED
    #define             glibtop_get_parameter               (p1,p2,p3)
    #define             glibtop_set_parameter               (p1,p2,p3)
    size_t              glibtop_get_parameter_l             (glibtop *server,
                                                             unsigned  parameter,
                                                             void *data_ptr,
                                                             size_t data_size);
    void                glibtop_set_parameter_l             (glibtop *server,
                                                             unsigned  parameter,
                                                             const void *data_ptr,
                                                             size_t data_size);

## Description

## Details

### GLIBTOP_PARAM_METHOD

    #define GLIBTOP_PARAM_METHOD		1

### GLIBTOP_PARAM_FEATURES

    #define GLIBTOP_PARAM_FEATURES		2

### GLIBTOP_PARAM_COMMAND

    #define GLIBTOP_PARAM_COMMAND		3

### GLIBTOP_PARAM_HOST

    #define GLIBTOP_PARAM_HOST		4

### GLIBTOP_PARAM_PORT

    #define GLIBTOP_PARAM_PORT		5

### GLIBTOP_PARAM_ERROR_METHOD

    #define GLIBTOP_PARAM_ERROR_METHOD 6

### GLIBTOP_PARAM_REQUIRED

    #define GLIBTOP_PARAM_REQUIRED		7

### glibtop_get_parameter()

    #define glibtop_get_parameter(p1,p2,p3) glibtop_get_parameter_l(glibtop_global_server,p1,p2,p3)

`p1` : |
`p2` : |
`p3` : |

### glibtop_set_parameter()

    #define glibtop_set_parameter(p1,p2,p3) glibtop_set_parameter_l(glibtop_global_server,p1,p2,p3)

`p1` : |
`p2` : |
`p3` : |

### glibtop_get_parameter_l ()

    size_t              glibtop_get_parameter_l             (glibtop *server,
                                                             unsigned  parameter,
                                                             void *data_ptr,
                                                             size_t data_size);

`server` : |
`parameter` : |
`data_ptr` : |
`data_size` : |
Returns : |

### glibtop_set_parameter_l ()

    void                glibtop_set_parameter_l             (glibtop *server,
                                                             unsigned  parameter,
                                                             const void *data_ptr,
                                                             size_t data_size);

`server` : |
`parameter` : |
`data_ptr` : |
`data_size` : |